Download it now!
Bug 134039 - EDITING Pie chart area resizes when data label is moved
Summary: EDITING Pie chart area resizes when data label is moved
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2020-06-16 12:40 UTC by NISZ LibreOffice Team
Modified: 2020-07-02 10:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Calc (20.06 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-06-16 12:40 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document in Calc (44.33 KB, image/png)
2020-06-16 12:41 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document after moving one data label (51.02 KB, image/png)
2020-06-16 12:41 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-16 12:40:40 UTC
Created attachment 162049 [details]
Example file from Calc

Attached document contains a simple pie chart with long data labels and Outside placement.
When the labels are moved the pie area is resized, moving them away makes it smaller, moving them closer makes it larger.
This happens with all placement settings except for Best fit.

Steps to reproduce:
    1. Open attached file
    2. Move one of the data labels away from the pie chart

Actual results:
Chart diameter shrinks.

Expected results:
Chart diameter stays the same.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: ff508f6d8a3e58d29e9e7622006a7103fb0a2849
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-16 12:41:00 UTC
Created attachment 162050 [details]
Screenshot of the original document in Calc
Comment 2 NISZ LibreOffice Team 2020-06-16 12:41:16 UTC
Created attachment 162051 [details]
Screenshot of the original document after moving one data label
Comment 3 Commit Notification 2020-06-26 14:01:16 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6604dd2cfbc6d4041ef019951a7f1341197ee26

tdf#134039 Chart view: fix moving pie chart area

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-07-02 10:06:44 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 7df1884118a0d995ec57679ef83e586c95063858
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-07-02 10:09:33 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e0b2dadd5d7a97acd047d074c346216a0cc8a4f0

tdf#134039 Chart view: fix moving pie chart area

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.